from core.database import Base
from datetime import datetime
from sqlalchemy import Boolean, Column, DateTime, Integer, String


class Notification_preferences(Base):
    __tablename__ = "notification_preferences"
    __table_args__ = {"extend_existing": True}

    id = Column(Integer, primary_key=True, index=True, autoincrement=True, nullable=False)
    user_id = Column(String, nullable=False)
    ticket_reply = Column(Boolean, nullable=True)
    ticket_status_change = Column(Boolean, nullable=True)
    ticket_new = Column(Boolean, nullable=True)
    email = Column(Boolean, nullable=True)
    created_at = Column(DateTime(timezone=True), default=datetime.now)
    updated_at = Column(DateTime(timezone=True), default=datetime.now, onupdate=datetime.now)